#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-class-plugin
version:              1.1.1.0
visibility:           public
id:                   hls-class-plugin-1.1.1.0-L0TMjpYgVdUGic5qiFLLjj
key:                  hls-class-plugin-1.1.1.0-L0TMjpYgVdUGic5qiFLLjj
license:              Apache-2.0
maintainer:           jjc9310@gmail.com
author:               Junyoung Clare Jang
homepage:             https://github.com/haskell/haskell-language-server#readme
synopsis:
    Class/instance management plugin for Haskell Language Server

description:
    Class/instance management plugin for Haskell Language Server.
    For usage, please see README of HLS on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  2ebe32fa3f98026eff87da411cfda8aa
exposed:              True
exposed-modules:      Ide.Plugin.Class
hidden-modules:
    Ide.Plugin.Class.CodeAction Ide.Plugin.Class.CodeLens
    Ide.Plugin.Class.ExactPrint Ide.Plugin.Class.Types
    Ide.Plugin.Class.Utils

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hls-class-plugin-1.1.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hls-class-plugin-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-class-plugin
hs-libraries:         HShls-class-plugin-1.1.1.0-L0TMjpYgVdUGic5qiFLLjj
depends:
    aeson-2.1.2.0-6VydXJBWxd89BBQXwjEfAs base-4.15.1.0
    containers-0.6.4.1 deepseq-1.4.5.0
    extra-1.7.13-IvNouhH9Z8S2nWJNdKBOVB ghc-9.0.2 ghc-boot-th-9.0.2
    ghc-exactprint-0.6.4-53qYRZVQjsVEjZ6lOZIhKG
    ghcide-1.9.0.0-HqUXHa8fkhF5qFJ71Fmy3p
    hls-graph-1.9.0.0-91vAhSXyhQW6BlVczalnAu
    hls-plugin-api-1.6.0.0-ILbse0laGtEGiTi3hbXN7F
    lens-5.2.2-JomSPqqD8KEH2iXqQwwoqg
    lsp-1.6.0.0-CHIZoQQwVMJIMH2gKiMqQ5 text-1.2.5.0
    transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-hls-class-plugin/html/hls-class-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-class-plugin/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

